# This playbook sets up the dummies for EKS master + on-prem nodes as documented in
# https://docs.google.com/document/d/1J-VHsPcjdEF5yH721IQZq3gV3wQffosATI0yo7s00Dw/edit?usp=sharing

# Get the base Ansible dependencies working on any newly-booted machines.
- hosts: dummies
  # Fact-gathering requires the standard Ansible dependencies.
  gather_facts: no
  tasks:
    - include: tasks/bootstrap_ansible_dependencies.yaml

- hosts: dummies
  roles:
    - role: hybrid-k8s-dummy
      become: yes
